Bug 176442 - arts not working with alsa soundcard
arts not working with alsa soundcard
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-22 15:45 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 19:03:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-12-22 15:45:59 EST
Description of problem:

Fresh install of today's rawhide.  snd-atiixp module is loaded.  Have the
following devices:

[root@adelie ~]# ls -l /dev/snd
total 0
crw------- 1 vasha root 116,  1 Dec 22 12:10 seq
crw------- 1 vasha root 116, 33 Dec 22 12:10 timer
[root@adelie ~]# ls -l /dev | grep 14
crw------- 1 vasha root  14,   1 Dec 22 12:10 sequencer
crw-rw---- 1 root  root  14,   8 Dec 22 12:10 sequencer2

modprobe.conf:

alias snd-card-0 snd-atiixp
options snd-card-0 index=0
options snd-atiixp index=0
remove snd-atiixp { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-atiixp

At KDE login, I get the message that the sound server cannot open /dev/dsp. 
Shouldn't it be able to detect the alsa device?  (What is the alsa device?)


Version-Release number of selected component (if applicable):
arts-1.5.0-1

How reproducible:
Everytime
Comment 1 Ngo Than 2006-01-18 11:48:48 EST
i doubt that it's a bug in arts. Could you please try to play some audio test file
if it works. for example: 

 play /usr/share/sounds/phone.wav

Comment 2 Orion Poplawski 2006-01-18 17:00:12 EST
Could be.  

# play pop.wav

Input Filename : pop.wav
Sample Size    : 16-bits
Sample Encoding: signed (2's complement)
Channels       : 1
Sample Rate    : 44100

Time: 00:00.05 [00:00.00] of 00:00.05 ( 100.0%) Output Buffer:   2.15K

Done.

No errors, but no audible output.
Comment 3 Orion Poplawski 2006-01-18 19:03:40 EST
Sound working in latest rawhide kernel.

For the record (and google):

00:14.5 Multimedia audio controller: ATI Technologies Inc IXP SB400 AC'97 Audio
Controller (rev 01)
        Subsystem: Hewlett-Packard Company Unknown device 3085
        Flags: bus master, 66MHz, slow devsel, latency 64, IRQ 209
        Memory at b0003400 (32-bit, non-prefetchable) [size=256]
        Capabilities: [40] Message Signalled Interrupts: 64bit- Queue=0/0 Enable-

Note You need to log in before you can comment on or make changes to this bug.